#ifndef RunMessenger_h
#define RunMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class RunAction;
class G4UIdirectory;
class G4UIcmdWithAString;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class RunMessenger: public G4UImessenger
{
public:
  RunMessenger(RunAction* run);
  virtual ~RunMessenger();

  virtual void SetNewValue(G4UIcommand*, G4String);

private:
  RunAction* Run;

  G4UIdirectory* runDir;
  G4UIcmdWithAString* filenameCmd;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

