//
// modified of sample source Hadr00
// Ryuki Tanaka
//
#include "EventAction.hh"
#include "G4Event.hh"
#include "G4SDManager.hh"
#include "G4ExceptionHandler.hh"

#include "NMadoka.hh"
#include "CDataHimeSim.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

EventAction::EventAction()
{;}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

EventAction::~EventAction()
{;}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

void EventAction::BeginOfEventAction(const G4Event* anEvent)
{
  if(1){
    if(anEvent->GetEventID() % 1000 == 0){
      G4cout << "\r Event:" << anEvent->GetEventID() << std::flush;
    }
  }else{
    G4cout << "Event:" << anEvent->GetEventID() << std::endl;
  }

  CDataHimeSim* dataHime = (CDataHimeSim*)NMadoka::FindObject("Nadeko");
//  CDataHimeSim* dataHime = 0;
//  TObject* obj = NMadoka::FindObject("Nadeko");
//  if(obj && obj->InheritsFrom(CDataHimeSim::Class())){
//    dataHime = (CDataHimeSim*)obj;
//  }else{
//    std::abort();
//  }

  dataHime->Reset();
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

void EventAction::EndOfEventAction(const G4Event* /* anEvent */)
{
  CDataHimeSim* dataHime = (CDataHimeSim*)NMadoka::FindObject("Nadeko");

  if(dataHime->fDequeOfOneData.empty()){
    dataHime->fEventFlag = 0;
  }else{
    dataHime->fEventFlag = 1;
  }

  NMadoka::Fill("Koyomi");
}  

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
