//
#ifndef RunAction_h
#define RunAction_h 1

#include "G4UserRunAction.hh"
#include "G4String.hh"

class RunMessenger;
class G4Run;

class RunAction : public G4UserRunAction
{
public:
  RunAction();
  virtual ~RunAction();

  virtual void BeginOfRunAction(const G4Run*);
  virtual void EndOfRunAction(const G4Run*);

  void SetFileName(G4String val);

private:
  RunAction & operator=(const RunAction &right);
  RunAction(const RunAction&);

  RunMessenger* runMessenger;
  G4String fileName;
};

#endif

